################################################################################
#
# UCI
#
################################################################################

UCI_VERSION:= 2016.07.04

UCI_SITE = $(TOPDIR)/../../src/3P/uci/builders/cmake
UCI_SITE_METHOD = local
UCI_INSTALL_STAGING = YES

UCI_DEPENDENCIES = libubox ubus

UCI_CONF = SRC_DIR=$(TOPDIR)/../..

UCI_CONF_OPTS +=-DBUILD_LUA=OFF

UCI_CONF_ENV = $(UCI_CONF)
UCI_MAKE_ENV = $(UCI_CONF)
UCI_CONF_OPTS += -DMODULE_PATH=$(TOPDIR)/../../bsp/cmake-modules -DCMAKE_BUILD_TYPE=$(BUILD_TYPE)

$(eval $(cmake-package))
